package com.unis.base.server.service.impl;

import java.util.List;
import java.util.Map;

import com.unis.base.common.vo.TyLskcxxQueryVO;
import com.unis.common.utils.ResponseWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.unis.base.common.vo.TyLskcxxVO;
import com.unis.base.server.domain.TyLskcxxDomain;
import com.unis.base.server.service.TyLskcxxService;
import com.unis.common.utils.DateUtil;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyCrkjsxxServiceImpl
 * @ProjectName TyCrkjsxxServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class TyLskcxxServiceImpl implements TyLskcxxService {

	@Autowired
	private TyLskcxxDomain tyLskcxxDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<TyLskcxxVO> getTyLskcxxList(TyLskcxxQueryVO tyLskcxxQueryVO) {
		return tyLskcxxDomain.getTyLskcxxList(tyLskcxxQueryVO);
	}


	public TyLskcxxVO selectLastestByEntity(TyLskcxxQueryVO tyLskcxxQueryVO){
		return tyLskcxxDomain.selectLastestByEntity(tyLskcxxQueryVO);
	}

	public ResponseWrapper selectById(TyLskcxxVO tyLskcxxVO){
		TyLskcxxVO tyLskcxxVODb= tyLskcxxDomain.selectById(tyLskcxxVO);
		if(tyLskcxxVODb!=null){
			return ResponseWrapper.success(tyLskcxxVODb);
		}else{
			return ResponseWrapper.fail();
		}
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<TyLskcxxVO> getTyLskcxxPage(TyLskcxxQueryVO tyLskcxxQueryVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return tyLskcxxDomain.getTyLskcxxList(tyLskcxxQueryVO);
	}

	/**
	 * 添加
	 */
	@Override
	public int insert(TyLskcxxVO tyLskcxxVO) {
		String date = DateUtil.getCurrentDateTime16Str();
		tyLskcxxVO.setKcxxid("KC"+date);
		return tyLskcxxDomain.insert(tyLskcxxVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(TyLskcxxVO tyLskcxxVO) {
		return tyLskcxxDomain.update(tyLskcxxVO);
	}

	/**
	 * 更新信息
	 * @param tyLskcxxVO
	 * @return
	 */
	public int updateByEntitySelective(TyLskcxxVO tyLskcxxVO){
		return tyLskcxxDomain.updateByPrimaryKeySelective(tyLskcxxVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String kcxxid) {
		TyLskcxxVO tyLskcxxVO = tyLskcxxDomain.getTyLskcxxById(kcxxid);
		if (tyLskcxxVO == null) {
			return -1;
		}
		tyLskcxxVO.setStatus(0);
		return tyLskcxxDomain.update(tyLskcxxVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public TyLskcxxVO getLskcxxByLskcxxid(String kcxxid) {
		return tyLskcxxDomain.getTyLskcxxById(kcxxid);
	}


}
